# org.pdfclown.documents.contents.colorSpaces.TilingPattern.Colorized Class Reference

Uncolored tiling pattern ("stencil") associated to a color. More...

Inheritance diagram for org.pdfclown.documents.contents.colorSpaces.TilingPattern.Colorized:

List of all members.

## Public Types
enum | PaintTypeEnum { Colored = 1, Uncolored = 2 }
| Pattern cell color mode. More...
enum | TilingTypeEnum { ConstantSpacing = 1, VariableSpacing = 2, FasterConstantSpacing = 3 }
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
override object | Clone (Document context)
Colorized | Colorize (Color color)
| Gets the colorized representation of this pattern.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static Pattern | Wrap (PdfDirectObject baseObject)
| Wraps the specified base object into a pattern object.
## Static Public Attributes
static readonly Pattern | Default = new TilingPattern(null)
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Static Protected Member Functions
static double | NormalizeComponent (double value)
| Gets the normalized value of a color component [PDF:1.6:4.5.1].
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
RectangleF | Box`[get]`
| Gets the pattern cell's bounding box (expressed in the pattern coordinate system) used to clip the pattern cell.
Color | Color`[get]`
| Gets the color applied to the stencil.
ColorSpace | ColorSpace`[get]`
override IList< PdfDirectObject > | Components`[get]`
| Gets the components defining this color value.
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
PdfDictionary | Dictionary`[get]`
| Gets this pattern's dictionary.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
double[] | Matrix`[get]`
| Gets the pattern matrix, a transformation matrix that maps the pattern's internal coordinate system to the default coordinate system of the pattern's parent content stream (the content stream in which the pattern is defined as a resource).
PaintTypeEnum | PaintType`[get]`
| Gets how the color of the pattern cell is to be specified.
Resources | Resources`[get]`
| Gets the named resources required by the pattern's content stream.
TilingTypeEnum | TilingType`[get]`
| Gets how to adjust the spacing of tiles relative to the device pixel grid.
double | XStep`[get]`
| Gets the horizontal spacing between pattern cells (expressed in the pattern coordinate system).
double | YStep`[get]`
| Gets the vertical spacing between pattern cells (expressed in the pattern coordinate system).

##

Uncolored tiling pattern ("stencil") associated to a color.

## Member Enumeration Documentation

enum org::pdfclown::documents::contents::colorSpaces::TilingPattern::PaintTypeEnum`[inherited]`

Pattern cell color mode.

Enumerator:

  Colored | The pattern's content stream specifies the colors used to paint the pattern cell. When the content stream begins execution, the current color is the one that was initially in effect in the pattern's parent content stream.
  Uncolored | The pattern's content stream does NOT specify any color information. Instead, the entire pattern cell is painted with a separately specified color each time the pattern is used; essentially, the content stream describes a stencil through which the current color is to be poured. The content stream must not invoke operators that specify colors or other color-related parameters in the graphics state.

enum org::pdfclown::documents::contents::colorSpaces::TilingPattern::TilingTypeEnum`[inherited]`

Spacing adjustment of tiles relative to the device pixel grid.

Enumerator:

  ConstantSpacing | Pattern cells are spaced consistently, that is by a multiple of a device pixel.
  VariableSpacing | The pattern cell is not distorted, but the spacing between pattern cells may vary by as much as 1 device pixel, both horizontally and vertically, when the pattern is painted.
  FasterConstantSpacing | Pattern cells are spaced consistently as in tiling type 1 but with additional distortion permitted to enable a more efficient implementation.

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

override object org.pdfclown.documents.contents.colorSpaces.Pattern.Clone | ( | Document | context | ) | `[inherited]`

Colorized org.pdfclown.documents.contents.colorSpaces.TilingPattern.Colorize | ( | Color | color | ) | `[inherited]`

Gets the colorized representation of this pattern.

Parameters:

  | color | Color to be applied to the pattern.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.colorSpaces.LeveledColor.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDataObject > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.colorSpaces.LeveledColor.

static double org.pdfclown.documents.contents.colorSpaces.Color.NormalizeComponent | ( | double | value | ) | `[static, protected, inherited]`

Gets the normalized value of a color component [PDF:1.6:4.5.1].

Parameters:

  | value | Color component value to normalize.

Returns:
  Normalized color component value.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static Pattern org.pdfclown.documents.contents.colorSpaces.Pattern.Wrap | ( | PdfDirectObject | baseObject | ) | `[static, inherited]`

Wraps the specified base object into a pattern object.

Parameters:

  | baseObject | Base object of a pattern object.

Returns:
  Pattern object corresponding to the base object.

References org.pdfclown.objects.PdfObject.Resolve().

## Member Data Documentation

readonly Pattern org.pdfclown.documents.contents.colorSpaces.Pattern.Default = new TilingPattern(null)`[static, inherited]`

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

RectangleF org.pdfclown.documents.contents.colorSpaces.TilingPattern.Box`[get, inherited]`

Gets the pattern cell's bounding box (expressed in the pattern coordinate system) used to clip the pattern cell.

Color org.pdfclown.documents.contents.colorSpaces.TilingPattern.Colorized.Color`[get]`

Gets the color applied to the stencil.

ColorSpace org.pdfclown.documents.contents.colorSpaces.Color.ColorSpace`[get, inherited]`

override IList<PdfDirectObject> org.pdfclown.documents.contents.colorSpaces.Pattern.Components`[get, inherited]`

Gets the components defining this color value.

Reimplemented from org.pdfclown.documents.contents.colorSpaces.Color.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

PdfDictionary org.pdfclown.documents.contents.colorSpaces.Pattern.Dictionary`[get, protected, inherited]`

Gets this pattern's dictionary.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

double [] org.pdfclown.documents.contents.colorSpaces.Pattern.Matrix`[get, inherited]`

Gets the pattern matrix, a transformation matrix that maps the pattern's internal coordinate system to the default coordinate system of the pattern's parent content stream (the content stream in which the pattern is defined as a resource).

The concatenation of the pattern matrix with that of the parent content stream establishes the pattern coordinate space, within which all graphics objects in the pattern are interpreted.

PaintTypeEnum org.pdfclown.documents.contents.colorSpaces.TilingPattern.PaintType`[get, inherited]`

Gets how the color of the pattern cell is to be specified.

Resources org.pdfclown.documents.contents.colorSpaces.TilingPattern.Resources`[get, inherited]`

Gets the named resources required by the pattern's content stream.

TilingTypeEnum org.pdfclown.documents.contents.colorSpaces.TilingPattern.TilingType`[get, inherited]`

Gets how to adjust the spacing of tiles relative to the device pixel grid.

double org.pdfclown.documents.contents.colorSpaces.TilingPattern.XStep`[get, inherited]`

Gets the horizontal spacing between pattern cells (expressed in the pattern coordinate system).

double org.pdfclown.documents.contents.colorSpaces.TilingPattern.YStep`[get, inherited]`

Gets the vertical spacing between pattern cells (expressed in the pattern coordinate system).

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.